Subject: Re: bug#38614: 26.3; Info completions in reverse order

From: Stefan Kangas <[email-masked]>
Date: Tue, 25 Aug 2020 16:09:29 -0700

Howard Melman <[email-masked]> writes:

>>> When using ivy mode, Info-index shows me the list of
>>> completions in reverse alphabetical order. Info-menu does too.
>>> Both Info-index and Info-menu use completing-read with
>>> Info-complete-menu-item as the collections argument. It
>>> seems to generate the list in reverse order.
>>>
>>> Sorry this isn't a formatted patch, but a one line fix solves it for me.
>>>
>>> If after this line in Info-complete-menu-item:
>>> 		    (setq completions (delete-dups completions))
>>> I add this line:
>>> 		    (setq completions (nreverse completions))
>>> the index and menus are shown in alphabetical order.

Won't the proposed change:

  a) Not delete duplicates.
  b) Reverse the list of completions for everyone else (ido, etc.)?

>> Sorry, I don't understand: when I type "i SUBJECT" and press TAB in
>> Info, I get completions in alphabetical order, so how come with ivy
>> you get the reverse order?
>
> I tried that in Emacs 26.3 with -Q and and I see an alphabetical
> list. I'm not sure what mechanism that's using and I don't
> particularly know icomplete or ido, though I tried enabling each and
> saw the same alphabetical list.

Shouldn't this bug be reported to the ivy developers first then?  It
sounds a lot like there is something that ido and icomplete is doing
that ivy is not.

Best regards,
Stefan Kangas